import { distinctUntilChanged, map } from 'rxjs/operators';
// watch updates
//    update domElement w/ text node
export function renderLeaf(component) {
    return component.render$.pipe(distinctUntilChanged(), map(data => {
        const text = data != null
            ? data.toString()
            : '';
        return { type: 'Text',
            htmlElement: document.createTextNode(text)
        };
    }));
}
