"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderLeaf = void 0;
var operators_1 = require("rxjs/operators");
// watch updates
//    update domElement w/ text node
function renderLeaf(component) {
    return component.render$.pipe(operators_1.distinctUntilChanged(), operators_1.map(function (data) {
        var text = data != null
            ? data.toString()
            : '';
        return { type: 'Text',
            htmlElement: document.createTextNode(text)
        };
    }));
}
exports.renderLeaf = renderLeaf;
