import { Observable } from 'rxjs';
import { IBasicComponent, IComponent } from './index';
import { ComponentType } from './helpers';
export interface IArrayComponent extends IBasicComponent {
    type: ComponentType.array;
    items$: Observable<{
        key: string | number;
        component: IComponent;
    }[]>;
}
export declare function createArrayComponent(): IArrayComponent;
//# sourceMappingURL=Array.d.ts.map