import { Observable, Subject } from 'rxjs';
import { IStaticComponent } from '../component/Static';
import { ICompiledComponent } from './index';
export interface IHTMLRenderElement {
    type: 'Element';
    element$: Subject<Element>;
    htmlElement: Element;
}
export declare const isHTMLRenderElement: (element: ICompiledComponent) => element is IHTMLRenderElement;
export declare function renderStatic(component: IStaticComponent, xmlns: string): Observable<IHTMLRenderElement>;
//# sourceMappingURL=Static.d.ts.map