import { Observable } from 'rxjs';
import { IComponent, IChild } from '../component';
import { IArrayChildrenRenderElements } from './Array';
import { ITextRenderElement } from './Leaf';
import { IHTMLRenderElement } from './Static';
export declare type ICompiledComponent = ITextRenderElement | IHTMLRenderElement | IArrayChildrenRenderElements;
export declare const render: (definition: IChild, target: HTMLElement) => import("rxjs").Subscription;
export declare function renderComponent(component: IComponent, xmlns: string): Observable<ICompiledComponent>;
//# sourceMappingURL=index.d.ts.map